libsql-statement-perl_1.405-1_all.deb


Advertisement

Description

libsql-statement-perl - module for parsing and processing SQL statements

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libsql-statement-perl
Package version: 1.405
Package release: 1
Package architecture: all
Package type: deb
Installed size: 514 B
Download size: 186.23 KB
Official Mirror: ftp.br.debian.org
SQL::Statement is a Perl module that implements a small, abstract SQL engine. This module is not useful itself, but as a base class for deriving concrete SQL engines. The implementation is designed to work fine with the DBI driver DBD::CSV, thus probably not so well suited for a larger environment, but I'd hope it is extendable without too much problems.

Alternatives

    Download

    Source package: libsql-statement-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libsql-statement-perl deb package:
      # sudo apt-get install libsql-statement-perl

    Files

    • /usr/share/doc/libsql-statement-perl/NEWS.Debian.gz
    • /usr/share/doc/libsql-statement-perl/changelog.Debian.gz
    • /usr/share/doc/libsql-statement-perl/changelog.gz
    • /usr/share/doc/libsql-statement-perl/copyright
    • /usr/share/man/man3/SQL::Dialects::Role.3pm.gz
    • /usr/share/man/man3/SQL::Eval.3pm.gz
    • /usr/share/man/man3/SQL::Parser.3pm.gz
    • /usr/share/man/man3/SQL::Statement.3pm.gz
    • /usr/share/man/man3/SQL::Statement::Embed.3pm.gz
    • /usr/share/man/man3/SQL::Statement::Function.3pm.gz
    • /usr/share/man/man3/SQL::Statement::Functions.3pm.gz
    • /usr/share/man/man3/SQL::Statement::Operation.3pm.gz
    • /usr/share/man/man3/SQL::Statement::Placeholder.3pm.gz
    • /usr/share/man/man3/SQL::Statement::Roadmap.3pm.gz
    • /usr/share/man/man3/SQL::Statement::Structure.3pm.gz
    • /usr/share/man/man3/SQL::Statement::Syntax.3pm.gz
    • /usr/share/man/man3/SQL::Statement::Term.3pm.gz
    • /usr/share/man/man3/SQL::Statement::TermFactory.3pm.gz
    • /usr/share/perl5/SQL/Eval.pm
    • /usr/share/perl5/SQL/Parser.pm
    • /usr/share/perl5/SQL/Statement.pm
    • /usr/share/perl5/SQL/Dialects/ANSI.pm
    • /usr/share/perl5/SQL/Dialects/AnyData.pm
    • /usr/share/perl5/SQL/Dialects/CSV.pm
    • /usr/share/perl5/SQL/Dialects/Role.pm
    • /usr/share/perl5/SQL/Statement/Embed.pod
    • /usr/share/perl5/SQL/Statement/Function.pm
    • /usr/share/perl5/SQL/Statement/Functions.pm
    • /usr/share/perl5/SQL/Statement/GetInfo.pm
    • /usr/share/perl5/SQL/Statement/Operation.pm
    • /usr/share/perl5/SQL/Statement/Placeholder.pm
    • /usr/share/perl5/SQL/Statement/RAM.pm
    • /usr/share/perl5/SQL/Statement/Roadmap.pod
    • /usr/share/perl5/SQL/Statement/Structure.pod
    • /usr/share/perl5/SQL/Statement/Syntax.pod
    • /usr/share/perl5/SQL/Statement/Term.pm
    • /usr/share/perl5/SQL/Statement/TermFactory.pm
    • /usr/share/perl5/SQL/Statement/Util.pm

    Changelog

    2013-06-21 - Xavier Guimard <x.guimard@free.fr> libsql-statement-perl (1.405-1) unstable; urgency=low [ Xavier Guimard ] * Imported Upstream version 1.405 [ gregor herrmann ] * debian/control: for dual-lifed module, use version constraint as proposed in #711674.

    2013-06-01 - Xavier Guimard <x.guimard@free.fr> libsql-statement-perl (1.404-1) unstable; urgency=low * Imported Upstream version 1.404 * Remove spelling-errors.patch now included in upstream * Add "libtext-soundex-perl | perl (<< 5.18~)" in recommended dependencies

    2013-04-27 - Xavier Guimard <x.guimard@free.fr> libsql-statement-perl (1.402-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ gregor herrmann ] * debian/control: update {versioned,alternative} (build) dependencies. [ Nathan Handler ] * Email change: Nathan Handler -> nhandler@debian.org [ Salvatore Bonaccorso ] * Change search.cpan.org based URIs to metacpan.org based URIs [ Xavier Guimard ] * Imported Upstream version 1.402 * Update debian/copyright (years and format) * Add spelling error patch * Bump Standards-Version to 3.9.4 * Bump debhelper compatibility to 8

    2011-02-13 - Ansgar Burchardt <ansgar@debian.org> libsql-statement-perl (1.33-1) unstable; urgency=low * New upstream release. * Bump build-dep, recommend on libdbi-perl to >= 1.616. * Update my email address.

    2010-10-02 - gregor herrmann <gregoa@debian.org> libsql-statement-perl (1.31-1) unstable; urgency=low [ Nathan Handler ] * New upstream release * debian/control: - Add myself to list of Uploaders [ gregor herrmann ] * debian/copyright: update license stanzas and list of copyright holders for debian/*.

    2010-08-03 - Ansgar Burchardt <ansgar@43-1.org> libsql-statement-perl (1.30-1) unstable; urgency=low * New upstream release. * debian/copyright: Refer to /usr/share/common-licenses/GPL-1. * Bump Standards-Version to 3.9.1.

    2010-07-18 - Ansgar Burchardt <ansgar@43-1.org> libsql-statement-perl (1.28-1) unstable; urgency=low * New upstream release. + Might break older code, see NEWS.Debian or upstream changelog for details. * No longer install Todo (removed upstream). * Bump build-dep, recommends on libdbi-perl to >= 1.612. * Bump build-dep on libtest-simple-perl to >= 0.90. * Remove build-dep on libdbd-csv-perl to avoid a cyclic build-dep on this package. * Breaks libdbd-anydata-perl (<< 0.09+), libdbd-csv-perl (<< 0.3000), libdbi-perl (<< 1.612). * Bump Standards-Version to 3.9.0 (no changes).

    2010-05-06 - Jonathan Yu <jawnsy@cpan.org> libsql-statement-perl (1.27-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Remove POD spelling patch, applied upstream [ gregor herrmann ] * debian/rules: replace override_dh_installman with override_dh_auto_install, the upstream manpages are installed by the build system and not by dh_installman.

    2010-04-11 - Ansgar Burchardt <ansgar@43-1.org> libsql-statement-perl (1.26-1) unstable; urgency=low * New upstream release. * No longer install README. * Add myself to Uploaders.

    2010-03-18 - Jonathan Yu <jawnsy@cpan.org> libsql-statement-perl (1.25-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Standards-Version 3.8.4 (no changes) * Update copyright to new DEP5 format + Update copyright per upstream + Update debian/ copyright holders from changelog * Use new 3.0 (quilt) source format * Add a patch to fix POD spelling errors [ gregor herrmann ] * Remove README.Debian that talked about an upgrade over 5 years ago. * debian/control: add build dependency on Test::Simple 0.86.

    Advertisement
    Advertisement